Biblio::SICI::Role::RecursiveLink(3pm)

NAME
Biblio::SICI::Role::RecursiveLink - Role to provide a "link" to the parent Biblio::SICI

VERSION
version 0.04

DESCRIPTION
A role that provides an attribute used to provide internal access to the parent "Biblio::SICI" object from the three segment classes.

For internal use only!

ATTRIBUTES

_sici
    Weak ref to the parent object.

AUTHOR
Heiko Jansen <hjansen@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2014 by Heiko Jansen.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.